Loading...
Searching...
No Matches
globjects::ConsoleLogger Class Reference

Writes LogMessages to stdout. More...

`#include <globjects/include/globjects/base/ConsoleLogger.h>`

Inheritance diagram for globjects::ConsoleLogger:

## Public Member Functions

virtual void | handle (const LogMessage &message) override
Public Member Functions inherited from globjects::AbstractLogHandler
virtual | ~AbstractLogHandler ()

## Static Protected Member Functions

static std::string | levelString (LogMessageLevel level)

## Detailed Description

Writes LogMessages to stdout.

This is the default LogMessage handler of globjects.

See also
  setLoggingHandler
  logging.h

## Member Function Documentation

## handle()

virtual void globjects::ConsoleLogger::handle | ( | const LogMessage & | message | ) |

override virtual

Implements globjects::AbstractLogHandler.

## levelString()

static std::string globjects::ConsoleLogger::levelString | ( | LogMessageLevel | level | ) |

static protected

The documentation for this class was generated from the following file:

- ConsoleLogger.h